## arduino-cli core upgrade

Upgrades one or all installed platforms to the latest version.

### Synopsis

Upgrades one or all installed platforms to the latest version.

```
arduino-cli core upgrade [PACKAGER:ARCH] ... [flags]
```

### Examples

```
  # upgrade everything to the latest version
  debian/build/bin/docsgen core upgrade

  # upgrade arduino:samd to the latest version
  debian/build/bin/docsgen core upgrade arduino:samd
```

### Options

```
  -h, --help                 help for upgrade
      --run-post-install     Force run of post-install scripts (if the CLI is not running interactively).
      --run-pre-uninstall    Force run of pre-uninstall scripts (if the CLI is not running interactively).
      --skip-post-install    Force skip of post-install scripts (if the CLI is running interactively).
      --skip-pre-uninstall   Force skip of pre-uninstall scripts (if the CLI is running interactively).
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli core](arduino-cli_core.md)	 - Arduino core operations.

